Template Numerical Library: TNL::Benchmarks::LoggingRowElements Class Reference

Template Numerical Library version\ main:0b2c40fb1

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
TNL::Benchmarks::LoggingRowElements Class Reference

Container for formatted row data in benchmark output. More...

`#include <TNL/Benchmarks/Logging.h>`

Collaboration diagram for TNL::Benchmarks::LoggingRowElements:
[legend]

## Public Member Functions
auto | begin () const noexcept
auto | begin () noexcept
auto | cbegin () const noexcept
auto | cend () const noexcept
auto | end () const noexcept
auto | end () noexcept
template<typename T>
LoggingRowElements & | operator<< (const T &b)
| Appends a value to the row.
LoggingRowElements & | operator<< (decltype(std::fixed)&setfixed)
| Sets number format (fixed or scientific).
LoggingRowElements & | operator<< (decltype(std::setprecision(2))&setprec)
| Sets output precision.
std::size_t | size () const noexcept
| Returns the number of elements in the row.

## Protected Attributes
std::list< std::string > | elements
std::stringstream | stream

## Detailed Description

Container for formatted row data in benchmark output.

Provides stream-like interface for building rows of string values. Uses fixed-point notation with 6 decimal places by default.

## Member Function Documentation

## ◆ operator<<() [1/3]

template<typename T>

LoggingRowElements & TNL::Benchmarks::LoggingRowElements::operator<< | ( | const T & | b | ) |
| inline

Appends a value to the row.

Converts the value to string and stores it for later iteration.

Template Parameters

  T | Type of value to append

Parameters

  b | Value to add

Returns
  Reference to this object for chaining

## ◆ operator<<() [2/3]

LoggingRowElements & TNL::Benchmarks::LoggingRowElements::operator<< | ( | decltype(std::fixed)& | setfixed | ) |
| inline

Sets number format (fixed or scientific).

Parameters

  setfixed | Format manipulator (std::fixed or std::scientific)

Returns
  Reference to this object

## ◆ operator<<() [3/3]

LoggingRowElements & TNL::Benchmarks::LoggingRowElements::operator<< | ( | decltype(std::setprecision(2))& | setprec | ) |
| inline

Sets output precision.

Allows changing precision mid-stream (e.g., std::setprecision(2)).

Parameters

  setprec | Precision manipulator

Returns
  Reference to this object

The documentation for this class was generated from the following file:

- src/TNL/Benchmarks/Logging.h